<template>
  <div class="page-container">
    <Report :success="success" />
  </div>
</template>

<script>
import Report from "@/components/payment/Report";

export default {
  components: {
    Report
  },
  middleware: "authenticated",
  head() {
    return {
      title: "پرداخت"
    }
  },
  async asyncData(context) {
    const data = {
      authority: context.route.query.Authority,
      status: context.route.query.Status
    };
    console.log(data);
    await context.store.dispatch('orders/verifyPayment', data).catch(e => {
      console.log(e);
    });
  },
  methods: {
    clearCart() {
      this.$store.dispatch('cart/clear');
    }
  },
  computed: {
    success() {
      return this.$route.query.Status === "OK" ? true: false;
    }
  },
  mounted() {
    if (this.$route.query.Status === "OK") {
      this.clearCart();
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

.page-container
  background-color $black
  padding $xlg $md
  display flex
  justify-content center
  align-items center
</style>